Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
console-kit remove
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
emc
Guru
Guru


Joined: 02 Jul 2004
Posts: 391
Location: Cracow, Poland

PostPosted: Fri Sep 06, 2013 8:17 am    Post subject: console-kit remove Reply with quote

I notice I have console-kit use flag on and if I correctly understand purpose of console-kit in one user environment in pointless (btw I use mainly fluxbox, a bit of xfce and xmonad). Only me use this laptop, sometime I connect via VNC that all. So, question can I just set -console-kit and reemerge the world without brake the system or should I take some action before??

THX
Back to top
View user's profile Send private message
Jaglover
Advocate
Advocate


Joined: 29 May 2005
Posts: 4666
Location: Saint Amant, Acadiana

PostPosted: Fri Sep 06, 2013 8:56 am    Post subject: Reply with quote

Rebuilding the system with -console-kit won't break your system, but the kit will be still there. To get rid of it search these forums, there is a thread somewhere about getting rid of kits.
_________________
Please learn how to denote units correctly!
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 3930
Location: Irgendwo im Nirgendwo

PostPosted: Fri Sep 06, 2013 9:05 am    Post subject: Reply with quote

If you need polkit you need consolekit or systemd (installed and running) polkit is needed by e.g. udisks and networkmanager.
Just try emerge -pvc consolekit to see which packages need consolekit.

//edit:
Of course there are other users of consolekit than just polkit, but polkit is the one that is used most often.
_________________
"der mac dennoch wesen geil"
Wolfram von Eschenbach, Parzival (Buch 1, Z. 7).
Ein frühes Statement gegen Windows.

My overlay
Back to top
View user's profile Send private message
emc
Guru
Guru


Joined: 02 Jul 2004
Posts: 391
Location: Cracow, Poland

PostPosted: Fri Sep 06, 2013 10:10 am    Post subject: Reply with quote

franzf wrote:
If you need polkit you need consolekit or systemd (installed and running) polkit is needed by e.g. udisks and networkmanager.
Just try emerge -pvc consolekit to see which packages need consolekit.

I think I'm stuck with consolekit, maybe if I decide to switch to systemd. btw found this: [url=aababilov.wordpress.com/2013/08/09/get-rid-of-consolekit-in-gentoo/][/url]
Code:
gopher emc # emerge -pvc consolekit

  sys-auth/consolekit-0.4.6 pulled in by:
    net-wireless/bluez-4.101-r5 requires sys-auth/consolekit
    sys-auth/pambase-20120417-r2 requires >=sys-auth/consolekit-0.4.5_p2012[pam]
    sys-auth/polkit-0.110 requires >=sys-auth/consolekit-0.4.5_p2012[policykit]
    x11-misc/slim-1.3.5-r2 requires sys-auth/consolekit
    xfce-base/xfce4-session-4.10.0-r1 requires sys-auth/consolekit

gopher emc # emerge -pvc polkit

  sys-auth/polkit-0.110 pulled in by:
    app-emulation/libvirt-1.1.1-r5 requires >=sys-auth/polkit-0.9
    app-emulation/virt-manager-0.10.0 requires sys-auth/polkit[introspection]
    gnome-base/gconf-2.32.4-r1 requires sys-auth/polkit:=, sys-auth/polkit:0/0=
    gnome-extra/polkit-gnome-0.105 requires >=sys-auth/polkit-0.102
    sys-auth/consolekit-0.4.6 requires >=sys-auth/polkit-0.110
    sys-block/gparted-0.14.1 requires sys-auth/polkit
    sys-fs/udisks-1.0.4-r5 requires >=sys-auth/polkit-0.110
    sys-fs/udisks-2.1.0 requires >=sys-auth/polkit-0.110
    sys-power/upower-0.9.21 requires >=sys-auth/polkit-0.110
    xfce-base/xfce4-session-4.10.0-r1 requires >=sys-auth/polkit-0.104-r1
    xfce-extra/xfce4-power-manager-1.2.0-r1 requires >=sys-auth/polkit-0.104-r1

gopher emc # emerge -pvc pambase

  sys-auth/pambase-20120417-r2 pulled in by:
    app-admin/sudo-1.8.6_p7 requires sys-auth/pambase
    net-misc/openssh-5.9_p1-r4 requires >=sys-auth/pambase-20081028
    sys-apps/openrc-0.11.8 requires sys-auth/pambase
    sys-apps/shadow-4.1.5.1-r1 requires >=sys-auth/pambase-20120417
    sys-auth/polkit-0.110 requires sys-auth/pambase, sys-auth/pambase[consolekit]
    sys-libs/pam-1.1.6-r2 requires sys-auth/pambase
    sys-process/fcron-3.1.1 requires >=sys-auth/pambase-20100310

gopher emc # emerge -pvc udisks

  sys-fs/udisks-1.0.4-r5 pulled in by:
    media-tv/xbmc-12.2-r1 requires sys-fs/udisks:0
    xfce-extra/xfce4-power-manager-1.2.0-r1 requires sys-fs/udisks:0

  sys-fs/udisks-2.1.0 pulled in by:
    app-emulation/wine-1.6 requires sys-fs/udisks:2
    gnome-base/gvfs-1.14.2 requires >=sys-fs/udisks-1.97:2
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum